Skip to main content
GET
/
v1
/
marketplaces
/
{marketplaceId}
/
plugins
List marketplace plugins
curl --request GET \
  --url https://api.openworklabs.com/v1/marketplaces/{marketplaceId}/plugins
{
  "items": [
    {
      "id": "<string>",
      "marketplaceId": "<string>",
      "pluginId": "<string>",
      "membershipSource": "manual",
      "createdByOrgMembershipId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "removedAt": "2023-11-07T05:31:56Z",
      "plugin": {
        "id": "<string>",
        "organizationId": "<string>",
        "name": "<string>",
        "description": "<string>",
        "status": "active",
        "createdByOrgMembershipId": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "deletedAt": "2023-11-07T05:31:56Z",
        "memberCount": 4503599627370495
      }
    }
  ],
  "nextCursor": "<string>"
}

Path Parameters

marketplaceId
string<typeid>
required

Den TypeID with 'mkt_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^mkt_.*

Response

Marketplace memberships returned successfully.

items
object[]
required
nextCursor
string | null
required
Required string length: 1 - 255